Bug 237419 - security/gnutls 3.6.7 fails to compile. autoopts/options.h mismatch after autogen update
Summary: security/gnutls 3.6.7 fails to compile. autoopts/options.h mismatch after aut...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-20 16:51 UTC by rkoberman
Modified: 2019-04-22 09:19 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (tijl)


Attachments
patch (1.06 KB, patch)
2019-04-20 18:44 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rkoberman 2019-04-20 16:51:45 UTC
Attempting to compile gnutls-3.6.7 on 12-STABLE r343501 amd64 fails to compile. Also, configure notes that --with-zlib is not a valid option. (Probably unrelated).

The problem appears to be the result of the update of autogen to 5.18.16 providing a new autoopts/options.h file that is not compatible with that used in the configure file for gnutls.

N.B. I am largely clueless about autotools. My apologies if I am completely confused here. Perhaps the issue is with the new autogen.

Complete build log is available at http://ykoberman.dlinkddns.com/FreeBSD/gnutls-build.log.
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-04-20 17:42:33 UTC
Try:
remove localbase from USES

add to the Makefile
LDFLAGS=         -L/usr/local/lib -lgmp
Comment 2 Tijl Coosemans freebsd_committer 2019-04-20 18:44:23 UTC
Created attachment 203836 [details]
patch

Please try the attached patch.
Comment 3 rkoberman 2019-04-20 19:30:26 UTC
Clearly autogen issue. I backed of to the prior version and gnutls updated just fine. I can't day whether the issue is in autogen or gnutls, but it is clearly in the interaction between the two.

libgmp seems uninvolved.
Comment 4 rkoberman 2019-04-20 20:06:29 UTC
(In reply to Tijl Coosemans from comment #2)
I did make this change and it eliminated the warnings about '--with-zlib", it did not affect the build failure in any way.

I am now running gnutls-3.6.7 built with the old autogen in place and things seem to be working correctly.
Comment 5 Walter Schwarzenfeld freebsd_triage 2019-04-20 20:23:42 UTC
(In reply to rkoberman from comment #3)
It was just a try. I removed localbase to prevent that it picks up the wrong options.h.Libgmp is surely not involved. But if I do so, it does not find libgmp. So I need the LDFLAGS.

But Tijl is the maintainer and his solution is surely better.
Comment 6 Tijl Coosemans freebsd_committer 2019-04-21 10:40:24 UTC
(In reply to rkoberman from comment #4)
Did you apply the patch or make changes manually and miss the AUTOGEN=false bit perhaps?
Comment 7 rkoberman 2019-04-22 02:54:52 UTC
(In reply to Tijl Coosemans from comment #6)
Face palm! I looked down the left side and saw the clib changes and missed the green change on the right, Sorry!

That obviously does the trick.Both you and Warren provided what should have been good fixes. Not sure what I did that kept Watten's from working.
Comment 8 commit-hook freebsd_committer 2019-04-22 08:30:59 UTC
A commit references this bug:

Author: tijl
Date: Mon Apr 22 08:30:47 UTC 2019
New revision: 499615
URL: https://svnweb.freebsd.org/changeset/ports/499615

Log:
  - Prevent detection of autogen.  It causes some files to be regenerated
    and then they require a newer header than is provided with gnutls.
  - Remove ZLIB option.  It's no longer available.

  PR:		237419
  Reported by:	Kevin Oberman <rkoberman@gmail.com>

Changes:
  head/security/gnutls/Makefile
Comment 9 commit-hook freebsd_committer 2019-04-22 08:49:16 UTC
A commit references this bug:

Author: tijl
Date: Mon Apr 22 08:48:38 UTC 2019
New revision: 499617
URL: https://svnweb.freebsd.org/changeset/ports/499617

Log:
  MFH: r499615

  - Prevent detection of autogen.  It causes some files to be regenerated
    and then they require a newer header than is provided with gnutls.
  - Remove ZLIB option.  It's no longer available.

  PR:		237419
  Reported by:	Kevin Oberman <rkoberman@gmail.com>
  Approved by:	ports-secteam (blanket)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/security/gnutls/Makefile